Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deNet.cpp File Reference

More...

`#include "deTCPConnectionProvider.hpp"`
`#include <STRING>`
`#include <TIME.H>`
`#include "deTimer.hpp"`
`#include "deNet.hpp"`
`#include "deNetUser.hpp"`
`#include "deThreadPool.hpp"`
`#include "deMasterServer.hpp"`
`#include "deSlaveServer.hpp"`
`#include "deClient.hpp"`
`#include "dePeer.hpp"`

Include dependency graph for deNet.cpp:

## Functions
eNetError | deNet_CreateConnection (deConnection **pOut, int pType, DWORD pFlags)
const char * | deNetErrorStr (eNetError err, const char *pFile, int iLine)
void | deNetDlg (const char *pStr)
void | deNetLogStop (void)
void | deNetLogStart (FILE *pFile)
void | deNetLog (const char *pStr)
_inline | _declspec (dllimport) void deNet_SetOnLogHandler(DWORD(*pProcess)(const char *))
## Variables
char | strTemp [256]
char | strAppName [32]
DWORD | dwPort = 3490
DWORD | dwVersion = 0
FILE * | hLogFile = 0
deThreadPool | threadPool
DWORD | iMaxNumConnections = 0
DWORD | iMaxNumConnectionBins = 0
BYTE * | gSendBuffer = 0
DWORD | gSendBufferSize = 0
deTimer | gTimer
DWORD(* | gLogProcess )(const char *)=0
DWORD | pMaxConnectionBins
DWORD DWORD | pPort

## Detailed Description

Author:
  trajar

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jun 2002

Author:
  trajar

Remarks:
  Creation

## Function Documentation

_inline _declspec | ( | dllimport |  | ) | const

eNetError deNet_CreateConnection | ( | deConnection ** | pOut,
|  | int | pType,
|  | DWORD | pFlags
| ) |

void deNetDlg | ( | const char * | pStr | ) |

const char* deNetErrorStr | ( | eNetError | err,
|  | const char * | pFile,
|  | int | iLine
| ) |

void deNetLog | ( | const char * | pStr | ) |

void deNetLogStart | ( | FILE * | pFile | ) |

void deNetLogStop | ( | void |  | ) |

## Variable Documentation

DWORD dwPort = 3490

DWORD dwVersion = 0

DWORD(* gLogProcess)( const char * ) = 0

BYTE* gSendBuffer = 0

DWORD gSendBufferSize = 0

deTimer gTimer

FILE* hLogFile = 0

DWORD iMaxNumConnectionBins = 0

DWORD iMaxNumConnections = 0

DWORD pMaxConnectionBins

DWORD DWORD pPort

char strAppName[32]

char strTemp[256]

deThreadPool threadPool